# see m4/${libname}.m4 />= for required version of particular library
%define		libcerror_ver	20120425
%define		libclocale_ver	20120425
%define		libcnotify_ver	20120425
%define		libuna_ver	20230702
Summary:	Library to support cross-platform C file functions
Summary(pl.UTF-8):	Biblioteka wspierająca wieloplatformowe funkcje obsługi plików w C
Name:		libcfile
Version:	20240414
Release:	1
License:	LGPL v3+
Group:		Libraries
#Source0Download: https://github.com/libyal/libcfile/releases
Source0:	https://github.com/libyal/libcfile/releases/download/%{version}/%{name}-alpha-%{version}.tar.gz
# Source0-md5:	710905cfb27a5e0c9e38484eb7125c36
URL:		https://github.com/libyal/libcfile/
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1.6
BuildRequires:	gettext-tools >= 0.21
BuildRequires:	libcerror-devel >= %{libcerror_ver}
BuildRequires:	libclocale-devel >= %{libclocale_ver}
BuildRequires:	libcnotify-devel >= %{libcnotify_ver}
BuildRequires:	libuna-devel >= %{libuna_ver}
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	libcerror >= %{libcerror_ver}
Requires:	libclocale >= %{libclocale_ver}
Requires:	libcnotify >= %{libcnotify_ver}
Requires:	libuna >= %{libuna_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcfile is a library to support cross-platform C file functions.

%description -l pl.UTF-8
libcfile to biblioteka wspierająca wieloplatformowe funkcje obsługi
plików w C.

%package devel
Summary:	Header files for libcfile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcfile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcerror-devel >= %{libcerror_ver}
Requires:	libclocale-devel >= %{libclocale_ver}
Requires:	libcnotify-devel >= %{libcnotify_ver}
Requires:	libuna-devel >= %{libuna_ver}

%description devel
Header files for libcfile library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcfile.

%package static
Summary:	Static libcfile library
Summary(pl.UTF-8):	Statyczna biblioteka libcfile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcfile library.

%description static -l pl.UTF-8
Statyczna biblioteka libcfile.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcfile.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libcfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcfile.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcfile.so
%{_includedir}/libcfile
%{_includedir}/libcfile.h
%{_pkgconfigdir}/libcfile.pc
%{_mandir}/man3/libcfile.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfile.a
%changelog
* Mon Jun 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcfile.git;a=log;h=master

* Sun Jun 16 2024 Jakub Bogusz <qboosh@pld-linux.org> d1fc9f9
- updated to 20240414

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 3d80ad2
- updated to 20240106

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 9e7a762
- updated to 20220106

* Thu Jul 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 7ecf493
- compact required versions comment

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> d1b7d84
- updated to 20190314 (alpha)
- removed obsolete system-libs patch

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> f9ecd1d
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 20 2015 Jakub Bogusz <qboosh@pld-linux.org> c3fda5b
- new

